aboutsummaryrefslogtreecommitdiffstats
path: root/deploy/shione/srb2kart/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deploy/shione/srb2kart/deploy.sh')
-rwxr-xr-xdeploy/shione/srb2kart/deploy.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/deploy/shione/srb2kart/deploy.sh b/deploy/shione/srb2kart/deploy.sh
new file mode 100755
index 0000000..0209dd6
--- /dev/null
+++ b/deploy/shione/srb2kart/deploy.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -eu
+
+./generate_dkartconfig.sh
+
+rsync -a --progress srb2kart.service srb2kart@shione:/home/srb2kart/.config/systemd/user
+rsync -a --delete --progress dkartconfig.cfg mods srb2kart@shione:/home/srb2kart/.srb2kart